package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * cm_mall_share_code_record
 * @author
 */
@Data
public class CmMallShareCodeRecord implements Serializable {
    private Integer id;

    /**
     * 使用分享码人的openid，方便码有效期内再次查看
     */
    private String openid;

    /**
     * 主订单ID,关联cm_order的ID
     */
    private Integer orderID;

    /**
     * 订单分享码,关联cm_mall_order_share_code表ID
     */
    private Integer shareCodeId;

    /**
     * 添加时间
     */
    private Date addTime;

    /**
     *  0 有效  其它无效
     */
    private String delFlag;

    private static final long serialVersionUID = 1L;
}
