package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.NewPageFloorContent;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * Description
 *
 * @author : plf
 * @date : 2020/12/16
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FloorContentVo extends NewPageFloorContent {
    /**
     * 链接类型 -1未知类型 1二级页面 2项目仪器 3直播页面 4自由页面 5商品详情 6项目仪器详情
     * 7供应商主页 8专题活动页 9二手市场介绍 10二手商品列表 11二手商品发布 12商品搜索 13信息详情
     * 14品牌招商介绍页 15维修保养介绍页 16首页 17注册页 18信息中心 19供应商列表
     */
    private Integer linkType1;
    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam1;

    /**
     * 同上
     */
    private Integer linkType2;
    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam2;

    /**
     * 同上
     */
    private Integer linkType3;
    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam3;

    /**
     * 同上
     */
    private Integer linkType4;
    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam4;

    /**
     * 同上
     */
    private Integer linkType5;
    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam5;
}
