package com.caimei.module.base.entity.po;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * new_page_quality_supplier
 *
 * @author
 */
@Data
public class NewPageQualitySupplier implements Serializable {
    private Long id;

    /**
     * 供应商名称
     */
    private String supplierName;

    /**
     * 供应商图片
     */
    private String image;

    /**
     * 链接
     */
    private String link;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * Pc端状态 0停用 1启用
     */
    private String wwwEnabledStatus;

    /**
     * CRM端状态 0停用 1启用
     */
    private String crmEnabledStatus;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建日期
     */
    private Date createDate;

    /**
     * 最后更新人
     */
    private String updateBy;

    /**
     * 最后更新时间
     */
    private Date updateDate;

    /**
     * 删除标记 0 否，其余是
     */
    private String delFlag;

    private static final long serialVersionUID = 1L;
}